Bug 446309 - yum groupupdate crashes on unknown group
yum groupupdate crashes on unknown group
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-13 21:26 EDT by Mads Kiilerich
Modified: 2014-01-21 18:02 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-27 19:59:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mads Kiilerich 2008-05-13 21:26:30 EDT
Description of problem:
group_string typo in /usr/share/yum-cli/cli.py

Version-Release number of selected component (if applicable):
yum-3.2.14-10.fc9.noarch

How reproducible:


Steps to Reproduce:
1. yum groupupdate foo
  
Actual results:
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 241, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 116, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 311, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd,
self.extcmds)
  File "/usr/share/yum-cli/yumcommands.py", line 327, in doCommand
    return base.installGroups(extcmds)
  File "/usr/share/yum-cli/cli.py", line 859, in installGroups
    self.logger.error(_('Warning: Group %s does not exist.'), group_strng)
NameError: global name 'group_strng' is not defined


Expected results:
An error message that doesn't fail

Additional info:
Comment 1 James Antill 2008-05-14 00:48:43 EDT
 This is fixed upstream, and should be going out in a Fed-9 update this week.
Comment 2 Chris Jones 2008-05-15 07:40:03 EDT
Will this will also fix similar problems with groupinstall?
Comment 3 James Antill 2008-05-15 09:20:03 EDT
 Yeh, groupupdate and groupinstall are the same command.
Comment 4 Mads Kiilerich 2008-05-27 18:23:03 EDT
Confirmed fixed in yum-3.2.16-2.fc9.noarch.rpm found in koji. Waiting for it to
be pushed out.
Comment 5 John Poelstra 2008-06-27 19:59:33 EDT
already released. 

closing

Note You need to log in before you can comment on or make changes to this bug.